Bug 1003440 - puppet:Command 'puppet agent --test' returned non-zero eixt status 1
puppet:Command 'puppet agent --test' returned non-zero eixt status 1
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: 3.4.1
Assigned To: Ryan Barry
bugs@ovirt.org
node
:
Depends On:
Blocks: 1016393
  Show dependency treegraph
 
Reported: 2013-09-01 23:27 EDT by haiyang,dong
Modified: 2014-04-30 07:00 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1016393 (view as bug list)
Environment:
Last Closed: 2014-04-30 07:00:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached Screenshot (20.42 KB, image/png)
2013-09-01 23:27 EDT, haiyang,dong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20132 None None None Never
oVirt gerrit 20133 None None None Never
oVirt gerrit 20134 None None None Never
oVirt gerrit 20135 None None None Never

  None (edit)
Description haiyang,dong 2013-09-01 23:27:23 EDT
Created attachment 792707 [details]
attached Screenshot

Description of problem:
Using edit-node install ovirt-node-plugin-puppet into ovirt-node-iso and clean install this
iso .Login it and enter into puppet page, configure 
Puppet Server:master.example.com
Puppet Certificate Name: agent2.example.com

after clicking "Save" button to apply this configuration. check that: 
[root@agent2 admin]# cat /etc/puppet/puppet.conf |more
[main]
    server = "master.example.com"
    certname = "agent2.example.com"
    # The Puppet log directory.
    # The default value is '$vardir/log'.
    logdir = /var/log/puppet
.....

But Configuring puppet page prompt that "Command 'puppet agent --test' returned non-zero eixt status 1"
(seen Configuring puppet page.png)

[root@agent2 admin]# puppet agent --test
Error: Could not autoload puppet/provider/user/useradd: undefined local variable or method `ovirt' for main:Object
Error: Could not autoload puppet/provider/user/hpux: Could not autoload puppet/provider/user/useradd: undefined local variable or method `ovirt' for main:Object
Error: Could not autoload puppet/type/user: Could not autoload puppet/provider/user/hpux: Could not autoload puppet/provider/user/useradd: undefined local variable or method `ovirt' for main:Object
Error: Could not create resources for managing Puppet's files and directories in sections [:main, :agent, :ssl]: Could not autoload puppet/type/user: Could not autoload puppet/provider/user/hpux: Could not autoload puppet/provider/user/useradd: undefined local variable or method `ovirt' for main:Object
Error: Could not prepare for execution: Could not create resources for managing Puppet's files and directories in sections [:main, :agent, :ssl]: Could not autoload puppet/type/user: Could not autoload puppet/provider/user/hpux: Could not autoload puppet/provider/user/useradd: undefined local variable or method `ovirt' for main:Object
Could not autoload puppet/type/user: Could not autoload puppet/provider/user/hpux: Could not autoload puppet/provider/user/useradd: undefined local variable or method `ovirt' for main:Object

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.1.0-0.999.999.20130830222205git32d308e.480.fc18.iso
ovirt-node-plugin-puppet-3.1.0-0.999.20130830222205git32d308e.fc18.noarch.rpm

How reproducible:
100% 
 
Steps to Reproduce:

Actual result:
Command 'puppet agent --test' returned non-zero exit status 1

Expect result:
Command 'puppet agent --test' execute success and start service puppet success


Additional info:

--
Comment 1 Sandro Bonazzola 2014-03-04 04:22:55 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.